Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235172 - selinux prevents ifup of eth1.
Summary: selinux prevents ifup of eth1.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 235357
TreeView+ depends on / blocked
 
Reported: 2007-04-04 08:20 UTC by Dave Jones
Modified: 2015-01-04 22:29 UTC (History)
2 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:11:42 UTC


Attachments (Terms of Use)

Description Dave Jones 2007-04-04 08:20:13 UTC
during bootup, I see this..

[   49.051000] audit(1175674532.396:4): avc:  denied  { search } for  pid=2057
comm="arping" name="/" dev=sysfs ino=1 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
[   49.051000] audit(1175674532.397:5): avc:  denied  { search } for  pid=2057
comm="arping" name="/" dev=sysfs ino=1 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
[   49.051000] audit(1175674532.397:6): avc:  denied  { sys_tty_config } for 
pid=2057 comm="arping" capability=26 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:system_r:netutils_t:s0 tclass=capability

and then eth1 doesn't get a dhcp lease.

Comment 1 Daniel Walsh 2007-04-05 12:57:33 UTC
Fixed in selinux-policy-2.4.6-52

Comment 2 Daniel Walsh 2007-08-22 14:11:42 UTC
Fixed in current release


Note You need to log in before you can comment on or make changes to this bug.